<?php
/**
* 無効クラス名例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class InvalidClassNameException extends CharcoalException
{
	public function __construct( $class_name, $message = NULL )
	{
		$msg = "[class_name]$class_name";
		if ( $message != NULL ){
			$msg .= " [message]$message";
		}
		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}

}


return __FILE__;